#include "hospitalinfo.h"
#include <QHBoxLayout>
#include <QVBoxLayout>
#include <QGridLayout>
#include <QDebug>
HospitalInfo::HospitalInfo(QWidget * parent ):QWidget (parent)
{
    init();
    initLay();
    initConnect();

}
HospitalInfo::~HospitalInfo()
{

}
void  HospitalInfo::init()
{
    this->setStyleSheet("QWidget \
   {\
       background-color:white;\
        border-radius:10px;\
    }"\
   );

     m_labHospitalInfo.setText("医院信息");;
     m_labHospitalInfo.setStyleSheet("QLabel { font-size: 30px;\
                                      color: rgb(13,157,219); }\
 ");

     m_labStart1.setText("*");
     m_labStart2.setText("*");
     m_labStart1.setFixedWidth(10);
      m_labStart2.setFixedWidth(10);
     m_labStart1.setStyleSheet("color:red");
     m_labStart2.setStyleSheet("color:red");

    //医院名称
     m_labHospitalName.setText("医院名称");

    //科室
    m_labSection.setText("科室");;

    //用户人数
    m_labUserNum.setText("用户人数");;


    //数据名称
    m_labDataBaseName.setText("数据名称");;


    //用户名称
    m_labUser.setText("用户名称");

    //用户名称
    m_labpasswd.setText("用户密码");;

    //确认密码
    m_labRepasswd.setText("确认密码");;

    //确认
    m_btnOK.setText("确认");;
    m_btnCancel.setText("取消");;


    int iwidth =  QFontMetrics(this->font()).width("医院名称");

    //医院名称
     m_labHospitalName.setFixedWidth(iwidth);

    //科室
    m_labSection.setFixedWidth(iwidth);

    //用户人数
    m_labUserNum.setFixedWidth(iwidth+10);


    //数据名称
    m_labDataBaseName.setFixedWidth(iwidth+10);


    //用户名称
    m_labUser.setFixedWidth(iwidth+10);

    //用户名称
    m_labpasswd.setFixedWidth(iwidth+10);

    //确认密码
    m_labRepasswd.setFixedWidth(iwidth+10);

    //确认
    m_btnOK.setText("确认");;
    m_btnCancel.setText("取消");;
}
void  HospitalInfo::initLay()
{


    int width_space = 60;
     QHBoxLayout * hlay0 =  new QHBoxLayout;
     hlay0->addWidget(&m_labHospitalInfo);

    QHBoxLayout * hlay =  new QHBoxLayout;
    hlay->addSpacing(width_space);
    hlay->addWidget(&m_labStart2);
    hlay->addWidget(&m_labHospitalName);
    hlay->addWidget(&m_editHospitalName);
    hlay->addWidget(&m_labUser);
    hlay->addWidget(&m_editUser);

    //科室
    QHBoxLayout * hlay1 =  new QHBoxLayout;
    hlay1->addSpacing(width_space);
    hlay1->addWidget(&m_labStart1);
    hlay1->addWidget(&m_labSection);//
    hlay1->addWidget(&m_editSection);
    hlay1->addWidget(&m_labpasswd);
    hlay1->addWidget(&m_editPasswd);


   //用户人数
    QHBoxLayout * hlay2 =  new QHBoxLayout;
    hlay2->addSpacing(width_space);
    hlay2->addWidget(&m_labUserNum);
    hlay2->addWidget(&m_editUserNum);
    hlay2->addWidget(&m_labRepasswd);
    hlay2->addWidget(&m_editRePasswd);




    //数据名称
    QHBoxLayout * hlay3 =  new QHBoxLayout;
    hlay3->addSpacing(width_space);
    hlay3->addWidget(&m_labDataBaseName);
    hlay3->addWidget(&m_editDataBaseName);


    QHBoxLayout * hlay4 =  new QHBoxLayout;
    hlay4->addStretch();
    hlay4->addWidget(&m_btnOK);
    hlay4->addWidget(&m_btnCancel);
    hlay4->addStretch();


    QVBoxLayout * vlay = new QVBoxLayout;
    vlay->addLayout(hlay0);
    vlay->addSpacing(30);
    vlay->addLayout(hlay);
    vlay->addLayout(hlay1);
    vlay->addLayout(hlay2);
    vlay->addLayout(hlay3);
    vlay->addStretch();

#if 1
    hlay0->setSpacing(0);
     hlay->setSpacing(0);
    hlay1->setSpacing(0);
     hlay2->setSpacing(0);
     hlay3->setSpacing(0);
     hlay4->setSpacing(0);
#endif

    setLayout(vlay);
#if  0
    QGridLayout * gridlaySearch = new QGridLayout;
    QHBoxLayout * hlay   = new QHBoxLayout;
    QVBoxLayout * vlay    = new QVBoxLayout;
    vlay->addLayout(gridlaySearch);
    vlay->addLayout(hlay);

    setLayout(vlay);

    int col = 0;
    int row = 0;
    gridlaySearch->addWidget(&m_labHospitalName,row,col);
    gridlaySearch->addWidget(&m_editHospitalName,row,++col);
    row ++;
    col = 0;
    gridlaySearch->addWidget(&m_labSection,row,col);
    gridlaySearch->addWidget(&m_editSection,row,++col);
    row ++;
    col = 0;
    gridlaySearch->addWidget(&m_labUserNum,row,col);
    gridlaySearch->addWidget(&m_editUserNum,row,++col);

    row ++;
    col = 0;
    gridlaySearch->addWidget(&m_labDataBaseName,row,col);
    gridlaySearch->addWidget(&m_editDataBaseName,row,++col);

    row ++;
    col = 0;
    gridlaySearch->addWidget(&m_labUser,row,col);
    gridlaySearch->addWidget(&m_editUser,row,++col);

    row ++;
    col = 0;
    gridlaySearch->addWidget(&m_labpasswd,row,col);
    gridlaySearch->addWidget(&m_editPasswd,row,++col);

    hlay->addStretch();
    hlay->addWidget(&m_btnOK);
    hlay->addStretch();
#endif

}
bool  HospitalInfo::initConnect()
{

}
